Index: /palm/trunk/DOC/tec/technical_documentation.html
===================================================================
--- /palm/trunk/DOC/tec/technical_documentation.html	(revision 97)
+++ /palm/trunk/DOC/tec/technical_documentation.html	(revision 98)
@@ -2311,16 +2311,8 @@
 replaced by multiplication of the inverse. For performance
 optimisation, this is done in the loop calculating the divergence
-instead of using a seperate loop.<br><br>Variables <span style="font-family: Courier New,Courier,monospace;">var_hom</span> and <span style="font-family: Courier New,Courier,monospace;">var_sum</span> are both renamed <span style="font-family: Courier New,Courier,monospace;">pr_palm</span>.</td><td style="vertical-align: top;">data_output_profiles, flow_statistics, init_3d_model, modules, parin, pres, read_var_list, run_control, time_integration</td></tr><tr><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">E</td><td style="vertical-align: top;">Bugfix: <span style="font-family: Courier New,Courier,monospace;">work_fft*_vec</span> removed from some PRIVATE-declarations (<span style="font-family: Courier New,Courier,monospace;">poisfft</span>).<br><br>Bugfix: <span style="font-family: Courier New,Courier,monospace;">field_chr</span> renamed <span style="font-family: Courier New,Courier,monospace;">field_char</span> (<span style="font-family: Courier New,Courier,monospace;">user_interface</span>).<br><br>Bugfix: output of <span style="font-family: Courier New,Courier,monospace;">use_upstream_for_tke</span> (<span style="font-family: Courier New,Courier,monospace;">header</span>).</td><td style="vertical-align: top;">header, poisfft, user_interface</td></tr><tr><td style="vertical-align: top;">21/06/07</td><td style="vertical-align: top;">SR</td><td style="vertical-align: top;">3.3</td><td style="vertical-align: top;">N</td><td style="vertical-align: top;">This version allows runs for the ocean. Ocean runs can be switched on with the ne inipar-parameter <span style="font-family: Courier New,Courier,monospace;">ocean</span>.<br><br>Setting this switch has several effects:<br><ul><li>An additional prognostic equation for salinity is solved.</li><li>Potential temperature in buoyancy and stability-related terms is replaced by potential density.</li><li>Potential
+instead of using a seperate loop.<br><br>Variables <span style="font-family: Courier New,Courier,monospace;">var_hom</span> and <span style="font-family: Courier New,Courier,monospace;">var_sum</span> are both renamed <span style="font-family: Courier New,Courier,monospace;">pr_palm</span>.</td><td style="vertical-align: top;">data_output_profiles, flow_statistics, init_3d_model, modules, parin, pres, read_var_list, run_control, time_integration</td></tr><tr><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">E</td><td style="vertical-align: top;">Bugfix: <span style="font-family: Courier New,Courier,monospace;">work_fft*_vec</span> removed from some PRIVATE-declarations (<span style="font-family: Courier New,Courier,monospace;">poisfft</span>).<br><br>Bugfix: <span style="font-family: Courier New,Courier,monospace;">field_chr</span> renamed <span style="font-family: Courier New,Courier,monospace;">field_char</span> (<span style="font-family: Courier New,Courier,monospace;">user_interface</span>).<br><br>Bugfix: output of <span style="font-family: Courier New,Courier,monospace;">use_upstream_for_tke</span> (<span style="font-family: Courier New,Courier,monospace;">header</span>).</td><td style="vertical-align: top;">header, poisfft, user_interface</td></tr><tr><td style="vertical-align: top;">21/06/07</td><td style="vertical-align: top;">SR</td><td style="vertical-align: top;">3.3</td><td style="vertical-align: top;">N</td><td style="vertical-align: top;">This version allows runs for the ocean. These runs can be switched on with the new inipar-parameter <span style="font-family: Courier New,Courier,monospace;">ocean</span>.<br><br>Setting this switch has several effects:<br><ul><li>An additional prognostic equation for salinity is solved.</li><li>Potential temperature in buoyancy and stability-related terms is replaced by potential density.</li><li>Potential
 density is calculated from the equation of state for seawater after
 each timestep, using the algorithm proposed by Jackett et al. (2006, J.
-Atmos. Oceanic Technol., <span style="font-weight: bold;">23</span>, 1709-1728).<br>So far, only the initial hydrostatic pressure is entered into this equation.</li><li>z=0 (sea surface) is assumed at the model top (vertical grid index <span style="font-family: Courier New,Courier,monospace;">k=nzt</span> on the w-grid), with negative values of z indicating the depth.</li><li>Initial profiles are constructed (e.g. from <a href="http://www.muk.uni-hannover.de/%7Eraasch/PALM_group/doc/app/chapter_4.1.html#pt_vertical_gradient">pt_vertical_gradient</a> / <a href="http://www.muk.uni-hannover.de/%7Eraasch/PALM_group/doc/app/chapter_4.1.html#pt_vertical_gradient_level">pt_vertical_gradient_level</a>) starting from the sea surface, using surface values&nbsp;given by <a href="http://www.muk.uni-hannover.de/%7Eraasch/PALM_group/doc/app/chapter_4.1.html#pt_surface">pt_surface</a>, <a href="http://www.muk.uni-hannover.de/%7Eraasch/PALM_group/doc/app/chapter_4.1.html#sa_surface">sa_surface</a>, <a href="http://www.muk.uni-hannover.de/%7Eraasch/PALM_group/doc/app/chapter_4.1.html#ug_surface">ug_surface</a>, and <a href="http://www.muk.uni-hannover.de/%7Eraasch/PALM_group/doc/app/chapter_4.1.html#vg_surface">vg_surface</a>.</li><li>Zero salinity flux is used as default boundary condition at the bottom of the sea.</li><li>If switched on, random perturbations are by default imposed to the upper model domain from zu(nzt*2/3) to zu(nzt-3).</li></ul>Relevant new inipar-parameters to be exclusively used for steering ocean runs are <span style="font-family: Courier New,Courier,monospace;">bc_sa_t</span>, <span style="font-family: Courier New,Courier,monospace;">bottom_salinityflux</span>, <span style="font-family: Courier New,Courier,monospace;">sa_surface</span>, <span style="font-family: Courier New,Courier,monospace;">sa_vertical_gradient</span>, <span style="font-family: Courier New,Courier,monospace;">sa_vertical_gradient_level</span>, and <span style="font-family: Courier New,Courier,monospace;">top_salinityflux</span>.<br><br>Salinity (<span style="font-family: Courier New,Courier,monospace;">sa</span>) and potential density (<span style="font-family: Courier New,Courier,monospace;">rho</span>) are included as new 2d/3d output quantities. Vertical profiles of salinity (<span style="font-family: Courier New,Courier,monospace;">sa</span>), salinity fluxes (<span style="font-family: Courier New,Courier,monospace;">w"sa"</span>, <span style="font-family: Courier New,Courier,monospace;">w*sa*</span>, <span style="font-family: Courier New,Courier,monospace;">wsa</span>), and potential density (<span style="font-family: Courier New,Courier,monospace;">rho</span>) can also be output.<span style="font-family: Courier New,Courier,monospace;"></span></td><td style="vertical-align: top;">advec_s_bc,
-average_3d_data, boundary_conds, buoyancy, check_parameters,
-data_output_2d, data_output_3d, diffusion_e, flow_statistics, header,
-init_grid, init_3d_model, modules, netcdf, parin, production_e,
-prognostic_equations, read_var_list, sum_up_3d_data, swap_timelevel,
-time_integration, user_interface, write_var_list, write_3d_binary<br><br><span style="font-weight: bold;">new:</span><br>eqn_state_seawater, init_ocean</td></tr><tr><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">C</td><td style="vertical-align: top;">Inipar-parameter <span style="font-family: Courier New,Courier,monospace;">use_pt_reference</span> renamed <span style="font-family: Courier New,Courier,monospace;">use_reference.</span><br>Internal variable <span style="font-family: Courier New,Courier,monospace;">hydro_press</span> renamed <span style="font-family: Courier New,Courier,monospace;">hyp</span>, routine <span style="font-family: Courier New,Courier,monospace;">calc_mean_pt_profile</span> renamed <span style="font-family: Courier New,Courier,monospace;">calc_mean_profile</span>.<br><br>The format of the <span style="font-family: Courier New,Courier,monospace;">RUN_CONTROL</span> file has been adjusted for ocean runs.</td><td style="vertical-align: top;">advec_particles,
-buoyancy, calc_liquid_water_content, check_parameters, diffusion_e,
-diffusivities, header, init_cloud_physics, modules, production_e,
-prognostic_equations, run_control</td></tr><tr><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">E</td><td style="vertical-align: top;"></td><td style="vertical-align: top;"></td></tr>
+Atmos. Oceanic Technol., <span style="font-weight: bold;">23</span>, 1709-1728).<br>So far, only the initial hydrostatic pressure is entered into this equation.</li><li>z=0 (sea surface) is assumed at the model top (vertical grid index <span style="font-family: Courier New,Courier,monospace;">k=nzt</span> on the w-grid), with negative values of z indicating the depth.</li><li>Initial profiles are constructed (e.g. from <a href="http://www.muk.uni-hannover.de/%7Eraasch/PALM_group/doc/app/chapter_4.1.html#pt_vertical_gradient">pt_vertical_gradient</a> / <a href="http://www.muk.uni-hannover.de/%7Eraasch/PALM_group/doc/app/chapter_4.1.html#pt_vertical_gradient_level">pt_vertical_gradient_level</a>) starting from the sea surface, using surface values&nbsp;given by <a href="http://www.muk.uni-hannover.de/%7Eraasch/PALM_group/doc/app/chapter_4.1.html#pt_surface">pt_surface</a>, <a href="http://www.muk.uni-hannover.de/%7Eraasch/PALM_group/doc/app/chapter_4.1.html#sa_surface">sa_surface</a>, <a href="http://www.muk.uni-hannover.de/%7Eraasch/PALM_group/doc/app/chapter_4.1.html#ug_surface">ug_surface</a>, and <a href="http://www.muk.uni-hannover.de/%7Eraasch/PALM_group/doc/app/chapter_4.1.html#vg_surface">vg_surface</a>.</li><li>Zero salinity flux is used as default boundary condition at the bottom of the sea.</li><li>If switched on, random perturbations are by default imposed to the upper model domain from zu(nzt*2/3) to zu(nzt-3).</li></ul>Relevant new inipar-parameters to be exclusively used for steering ocean runs are <span style="font-family: Courier New,Courier,monospace;">bc_sa_t</span>, <span style="font-family: Courier New,Courier,monospace;">bottom_salinityflux</span>, <span style="font-family: Courier New,Courier,monospace;">sa_surface</span>, <span style="font-family: Courier New,Courier,monospace;">sa_vertical_gradient</span>, <span style="font-family: Courier New,Courier,monospace;">sa_vertical_gradient_level</span>, and <span style="font-family: Courier New,Courier,monospace;">top_salinityflux</span>.<br><br>Salinity (<span style="font-family: Courier New,Courier,monospace;">sa</span>) and potential density (<span style="font-family: Courier New,Courier,monospace;">rho</span>) are included as new 2d/3d output quantities. Vertical profiles of salinity (<span style="font-family: Courier New,Courier,monospace;">sa</span>), salinity fluxes (<span style="font-family: Courier New,Courier,monospace;">w"sa"</span>, <span style="font-family: Courier New,Courier,monospace;">w*sa*</span>, <span style="font-family: Courier New,Courier,monospace;">wsa</span>), and potential density (<span style="font-family: Courier New,Courier,monospace;">rho</span>) can also be output.<span style="font-family: Courier New,Courier,monospace;"></span></td><td style="vertical-align: top;">advec_s_bc, average_3d_data,<br>boundary_conds, buoyancy,<br>check_parameters,&nbsp;data_output_2d,<br>data_output_3d,&nbsp;diffusion_e,<br>diffusivities,&nbsp;flow_statistics,&nbsp;header,<br>init_grid,&nbsp;init_3d_model,&nbsp;modules,<br>netcdf,&nbsp;parin,&nbsp;production_e,<br>prognostic_equations,<br>read_3d_binary,&nbsp;&nbsp;read_var_list,<br>sum_up_3d_data,&nbsp;swap_timelevel,<br>time_integration,&nbsp;user_interface,<br>write_var_list,&nbsp;write_3d_binary<br><br><span style="font-weight: bold;">new:</span><br>eqn_state_seawater,&nbsp;init_ocean</td></tr><tr><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">C</td><td style="vertical-align: top;">Inipar-parameter <span style="font-family: Courier New,Courier,monospace;">use_pt_reference</span> renamed <span style="font-family: Courier New,Courier,monospace;">use_reference.</span><br>Internal variable <span style="font-family: Courier New,Courier,monospace;">hydro_press</span> renamed <span style="font-family: Courier New,Courier,monospace;">hyp</span>, routine <span style="font-family: Courier New,Courier,monospace;">calc_mean_pt_profile</span> renamed <span style="font-family: Courier New,Courier,monospace;">calc_mean_profile</span>.<br><br>The format of the <span style="font-family: Courier New,Courier,monospace;">RUN_CONTROL</span> file has been adjusted for ocean runs.<br><br>Defaults of <span style="font-family: Courier New,Courier,monospace;">.._vertical_gradient_levels</span> changed from <span style="font-style: italic;">-1.0</span> to <span style="font-style: italic;">-9999999.9</span>.</td><td style="vertical-align: top;">advec_particles,&nbsp;buoyancy,&nbsp;<br>calc_liquid_water_content, <br>check_parameters,&nbsp;diffusion_e,<br>diffusivities,&nbsp;header,<br>init_cloud_physics,&nbsp;modules,<br>production_e,&nbsp;prognostic_equations,<br>run_control</td></tr><tr><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">E</td><td style="vertical-align: top;">Bugfix: height above topography instead of height above level k=0 is used for calculating the mixing length (<span style="font-family: Courier New,Courier,monospace;">diffusion_e</span> and <span style="font-family: Courier New,Courier,monospace;">diffusivities</span>).<br><br>Bugfix: error in boundary condition for TKE removed (<span style="font-family: Courier New,Courier,monospace;">advec_s_bc</span>).</td><td style="vertical-align: top;">advec_s_bc,&nbsp;diffusion_e,&nbsp;diffusivities</td></tr>
 </tbody>
 </table>&nbsp;<b><blink>Attention:</blink></b>
Index: /palm/trunk/INSTALL/example_rc
===================================================================
--- /palm/trunk/INSTALL/example_rc	(revision 97)
+++ /palm/trunk/INSTALL/example_rc	(revision 98)
@@ -1,5 +1,5 @@
 
  *************************           ------------------------------------------
- * PALM 3.3  Rev: 96M    *           atmosphere - 3D - run without 1D - prerun
+ * PALM 3.3  Rev: 99     *           atmosphere - 3D - run without 1D - prerun
  *************************           ------------------------------------------
 
Index: /palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- /palm/trunk/SOURCE/advec_particles.f90	(revision 97)
+++ /palm/trunk/SOURCE/advec_particles.f90	(revision 98)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! hydro_press renamed hyp
+! 
 ! TEST: PRINT statements on unit 9 (commented out)
 !
@@ -10,4 +10,7 @@
 ! -----------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! hydro_press renamed hyp
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: /palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_bc.f90	(revision 97)
+++ /palm/trunk/SOURCE/advec_s_bc.f90	(revision 98)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Advection of salinity included
-! Bugfix: Error in boundary condition for TKE removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
+! Advection of salinity included
+! Bugfix: Error in boundary condition for TKE removed
 !
 ! 63 2007-03-13 03:52:49Z raasch
Index: /palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/average_3d_data.f90	(revision 97)
+++ /palm/trunk/SOURCE/average_3d_data.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Averaging of density and salinity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 96 2007-06-04 08:07:41Z raasch
+! Averaging of density and salinity
 !
 ! 72 2007-03-19 08:20:46Z raasch
Index: /palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- /palm/trunk/SOURCE/boundary_conds.f90	(revision 97)
+++ /palm/trunk/SOURCE/boundary_conds.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Boundary conditions for salinity added
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! Boundary conditions for salinity added
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: /palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- /palm/trunk/SOURCE/buoyancy.f90	(revision 97)
+++ /palm/trunk/SOURCE/buoyancy.f90	(revision 98)
@@ -4,12 +4,15 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
 ! Routine reneralized to be used with temperature AND density:
 ! argument theta renamed var, new argument var_reference,
 ! use_pt_reference renamed use_reference,
 ! calc_mean_pt_profile renamed calc_mean_profile
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 57 2007-03-09 12:05:41Z raasch
Index: /palm/trunk/SOURCE/calc_liquid_water_content.f90
===================================================================
--- /palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 97)
+++ /palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! hydro_press renamed hyp
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! hydro_press renamed hyp
 !
 ! 19 2007-02-23 04:53:48Z raasch
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 97)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 98)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
 ! Initial salinity profile is calculated, salinity boundary conditions are
 ! checked,
@@ -9,8 +16,4 @@
 ! +initial temperature and geostrophic velocity profiles for the ocean version,
 ! use_pt_reference renamed use_reference
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 89 2007-05-25 12:08:31Z raasch
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 97)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Output of density and salinity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 96 2007-06-04 08:07:41Z raasch
+! Output of density and salinity
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 97)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Output of density and salinity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 96 2007-06-04 08:07:41Z raasch
+! Output of density and salinity
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: /palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_e.f90	(revision 97)
+++ /palm/trunk/SOURCE/diffusion_e.f90	(revision 98)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
 ! Adjustment of mixing length calculation for the ocean version. zw added to
 ! argument list.
@@ -10,8 +17,4 @@
 ! theta renamed var, dpt_dz renamed dvar_dz, +new argument var_reference
 ! use_pt_reference renamed use_reference
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 65 2007-03-13 12:11:43Z raasch
Index: /palm/trunk/SOURCE/diffusivities.f90
===================================================================
--- /palm/trunk/SOURCE/diffusivities.f90	(revision 97)
+++ /palm/trunk/SOURCE/diffusivities.f90	(revision 98)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
 ! Adjustment of mixing length calculation for the ocean version.
 ! This is also a bugfix, because the height above the topography is now
@@ -9,8 +16,4 @@
 ! theta renamed var, dpt_dz renamed dvar_dz, +new argument var_reference
 ! use_pt_reference renamed use_reference
-! 
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 57 2007-03-09 12:05:41Z raasch
Index: /palm/trunk/SOURCE/eqn_state_seawater.f90
===================================================================
--- /palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 97)
+++ /palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 98)
@@ -10,4 +10,5 @@
 ! $Id$
 !
+! 97 2007-06-21 08:23:15Z raasch
 ! Initial revision
 !
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 97)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 98)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
 ! Statistics for ocean version (salinity, density) added,
 ! calculation of z_i and Deardorff velocity scale adjusted to be used with
 ! the ocean version
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 87 2007-05-22 15:46:47Z raasch
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 97)
+++ /palm/trunk/SOURCE/header.f90	(revision 98)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Adjustments for the ocean version.
-! use_pt_reference renamed use_reference
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
+! Adjustments for the ocean version.
+! use_pt_reference renamed use_reference
 !
 ! 87 2007-05-22 15:46:47Z raasch
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 97)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 98)
@@ -7,9 +7,12 @@
 ! Actual revisions:
 ! -----------------
-! Initialization of salinity, call of init_ocean
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
+! Initialization of salinity, call of init_ocean
 !
 ! 87 2007-05-22 15:46:47Z raasch
Index: /palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- /palm/trunk/SOURCE/init_cloud_physics.f90	(revision 97)
+++ /palm/trunk/SOURCE/init_cloud_physics.f90	(revision 98)
@@ -4,9 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! hydro_press renamed hyp
+! 
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! hydro_press renamed hyp
+!
+! February 2007
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 97)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Grid definition for ocean version
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 94 2007-06-01 15:25:22Z raasch
+! Grid definition for ocean version
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: /palm/trunk/SOURCE/init_ocean.f90
===================================================================
--- /palm/trunk/SOURCE/init_ocean.f90	(revision 97)
+++ /palm/trunk/SOURCE/init_ocean.f90	(revision 98)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! hydro_press renamed hyp
+! 
 !
 ! Former revisions:
@@ -10,5 +10,6 @@
 ! $Id$
 !
-! Initial revision (raasch 01/06/07)
+! 97 2007-06-21 08:23:15Z raasch
+! Initial revision
 !
 ! Description:
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 97)
+++ /palm/trunk/SOURCE/modules.f90	(revision 98)
@@ -5,11 +5,14 @@
 ! Actual revisions:
 ! -----------------
-! +atmos_ocean_sign, ocean, r, + salinity variables
-! defaults of .._vertical_gradient_levels changed from -1.0 to -9999999.9
-! hydro_press renamed hyp, use_pt_reference renamed use_reference
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
+! +atmos_ocean_sign, ocean, r, + salinity variables
+! defaults of .._vertical_gradient_levels changed from -1.0 to -9999999.9
+! hydro_press renamed hyp, use_pt_reference renamed use_reference
 !
 ! 89 2007-05-25 12:08:31Z raasch
Index: /palm/trunk/SOURCE/netcdf.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf.f90	(revision 97)
+++ /palm/trunk/SOURCE/netcdf.f90	(revision 98)
@@ -7,9 +7,12 @@
 ! Current revisions:
 ! ------------------
-! Grids defined for rho and sa
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
+! Grids defined for rho and sa
 !
 ! 48 2007-03-06 12:28:36Z raasch
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 97)
+++ /palm/trunk/SOURCE/parin.f90	(revision 98)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
 ! +bc_sa_t, bottom_salinityflux, ocean, sa_surface, sa_vertical_gradient,
 ! sa_vertical_gradient_level, top_salinityflux in inipar,
 ! sa_init is allocated
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 87 2007-05-22 15:46:47Z raasch
Index: /palm/trunk/SOURCE/production_e.f90
===================================================================
--- /palm/trunk/SOURCE/production_e.f90	(revision 97)
+++ /palm/trunk/SOURCE/production_e.f90	(revision 98)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! energy production by density flux (in ocean) added
-! use_pt_reference renamed use_reference
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
+! Energy production by density flux (in ocean) added
+! use_pt_reference renamed use_reference
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 97)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 98)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
 ! prognostic equation for salinity, density is calculated from equation of
 ! state for seawater and is used for calculation of buoyancy,
@@ -11,8 +18,4 @@
 ! in calls of buoyancy and diffusion_e, calc_mean_pt_profile renamed
 ! calc_mean_profile
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: /palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/read_3d_binary.f90	(revision 97)
+++ /palm/trunk/SOURCE/read_3d_binary.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +rho_av, sa, sa_av, saswsb, saswst
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 96 2007-06-04 08:07:41Z raasch
+! +rho_av, sa, sa_av, saswsb, saswst
 !
 ! 73 2007-03-20 08:33:14Z raasch
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 97)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 98)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +bc_sa_t, ocean, sa_init, sa_surface, sa_vertical_gradient,
-! sa_vertical_gradient_level, bottom/top_salinity_flux
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! +bc_sa_t, ocean, sa_init, sa_surface, sa_vertical_gradient,
+! sa_vertical_gradient_level, bottom/top_salinity_flux
 !
 ! 87 2007-05-22 15:46:47Z raasch
Index: /palm/trunk/SOURCE/run_control.f90
===================================================================
--- /palm/trunk/SOURCE/run_control.f90	(revision 97)
+++ /palm/trunk/SOURCE/run_control.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Timestep format changed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
+! Timestep and z_i format changed
 !
 ! 87 2007-05-22 15:46:47Z raasch
Index: /palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 97)
+++ /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +sum-up of density and salinity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 96 2007-06-04 08:07:41Z raasch
+! +sum-up of density and salinity
 !
 ! 72 2007-03-19 08:20:46Z raasch
Index: /palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- /palm/trunk/SOURCE/swap_timelevel.f90	(revision 97)
+++ /palm/trunk/SOURCE/swap_timelevel.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Swaping of salinity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! Swaping of salinity
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 97)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 98)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
 ! diffusivities is called with argument rho in case of ocean runs,
 ! new argument pt_/prho_reference in calls of diffusivities,
 ! ghostpoint exchange for salinity and density
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 87 2007-05-22 15:46:47Z raasch
Index: /palm/trunk/SOURCE/user_interface.f90
===================================================================
--- /palm/trunk/SOURCE/user_interface.f90	(revision 97)
+++ /palm/trunk/SOURCE/user_interface.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! user action for salinity added
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! user action for salinity added
 !
 ! 89 2007-05-25 12:08:31Z raasch
Index: /palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/write_3d_binary.f90	(revision 97)
+++ /palm/trunk/SOURCE/write_3d_binary.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +rho_av, sa, sa_av, saswsb, saswst
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 96 2007-06-04 08:07:41Z raasch
+! +rho_av, sa, sa_av, saswsb, saswst
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 97)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 98)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +bc_sa_t, ocean, sa_init, sa_surface, sa_vertical_gradient,
-! sa_vertical_gradient_level, bottom/top_salinity_flux
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! +bc_sa_t, ocean, sa_init, sa_surface, sa_vertical_gradient,
+! sa_vertical_gradient_level, bottom/top_salinity_flux
 !
 ! 87 2007-05-22 15:46:47Z raasch