Index: /palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 104)
+++ /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 105)
@@ -25,5 +25,7 @@
 Errors:
 ------
++dots_num_palm in module user, +module netcdf_control in user_init (both in user_interface.f90)
+
 Bugfix: Error message concerning output of particle concentration (pc) modified (check_parameters).
 
-check_parameters
+check_parameters, user_interface
Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 104)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 105)
@@ -156,5 +156,5 @@
                         FORM='UNFORMATTED', STATUS='OLD' )
           ELSE
-             OPEN ( 13, FILE='BININ'//coupling_char//'/'//myid_char, &
+             OPEN ( 13, FILE='BININ'//TRIM( coupling_char )//'/'//myid_char, &
                         FORM='UNFORMATTED', STATUS='OLD' )
           ENDIF
@@ -175,5 +175,5 @@
              CALL MPI_BARRIER( comm2d, ierr )
 #endif
-             OPEN ( 14, FILE='BINOUT'//coupling_char//'/'//myid_char_14, &
+             OPEN ( 14, FILE='BINOUT'//TRIM(coupling_char)//'/'//myid_char_14, &
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ENDIF
@@ -205,5 +205,5 @@
           ENDIF
           IF ( myid_char == '' )  THEN
-             OPEN ( 20, FILE='DATA_LOG'//coupling_char//'/_0000', &
+             OPEN ( 20, FILE='DATA_LOG'//TRIM( coupling_char )//'/_0000', &
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ELSE
@@ -214,5 +214,5 @@
              CALL MPI_BARRIER( comm2d, ierr )
 #endif
-             OPEN ( 20, FILE='DATA_LOG'//coupling_char//'/'//myid_char, &
+             OPEN ( 20, FILE='DATA_LOG'//TRIM( coupling_char )//'/'//myid_char,&
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ENDIF
@@ -221,5 +221,5 @@
 
           IF ( data_output_2d_on_each_pe )  THEN
-             OPEN ( 21, FILE='PLOT2D_XY'//coupling_char//myid_char, &
+             OPEN ( 21, FILE='PLOT2D_XY'//TRIM( coupling_char )//myid_char, &
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ELSE
@@ -262,5 +262,5 @@
 
           IF ( data_output_2d_on_each_pe )  THEN
-             OPEN ( 22, FILE='PLOT2D_XZ'//coupling_char//myid_char, &
+             OPEN ( 22, FILE='PLOT2D_XZ'//TRIM( coupling_char )//myid_char, &
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ELSE
@@ -300,5 +300,5 @@
 
           IF ( data_output_2d_on_each_pe )  THEN
-             OPEN ( 23, FILE='PLOT2D_YZ'//coupling_char//myid_char, &
+             OPEN ( 23, FILE='PLOT2D_YZ'//TRIM( coupling_char )//myid_char, &
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ELSE
@@ -337,5 +337,5 @@
        CASE ( 30 )
 
-          OPEN ( 30, FILE='PLOT3D_DATA'//coupling_char//myid_char, &
+          OPEN ( 30, FILE='PLOT3D_DATA'//TRIM( coupling_char )//myid_char, &
                      FORM='UNFORMATTED' )
 !
@@ -511,5 +511,6 @@
              WRITE ( suffix, '(''_'',I1)' )  file_id - 40
           ENDIF
-          OPEN ( file_id, FILE='PLOT1D_DATA'//coupling_char//TRIM( suffix ), &
+          OPEN ( file_id, FILE='PLOT1D_DATA'//TRIM( coupling_char )// &
+                               TRIM( suffix ),                        &
                           FORM='FORMATTED' )
 !
@@ -525,5 +526,6 @@
              WRITE ( suffix, '(''_'',I1)' )  file_id - 50
           ENDIF
-          OPEN ( file_id, FILE='PLOTTS_DATA'//coupling_char//TRIM( suffix ), &
+          OPEN ( file_id, FILE='PLOTTS_DATA'//TRIM( coupling_char )// &
+                               TRIM( suffix ),                        &
                           FORM='FORMATTED', RECL=496 )
 !
@@ -543,5 +545,6 @@
 !
 !--       Write RAHMEN parameter
-          OPEN ( 90, FILE='PLOTTS_PAR'//coupling_char//TRIM( suffix ), &
+          OPEN ( 90, FILE='PLOTTS_PAR'//TRIM( coupling_char )// &
+                           TRIM( suffix ),                      &
                      FORM='FORMATTED', DELIM='APOSTROPHE' )
           WRITE ( 90, RAHMEN )
@@ -579,5 +582,5 @@
 
           IF ( myid_char == '' )  THEN
-             OPEN ( 80, FILE='PARTICLE_INFOS'//coupling_char//myid_char, &
+             OPEN ( 80, FILE='PARTICLE_INFOS'//TRIM(coupling_char)//myid_char, &
                         FORM='FORMATTED', POSITION='APPEND' )
           ELSE
@@ -596,5 +599,6 @@
              ENDIF
 #endif
-             OPEN ( 80, FILE='PARTICLE_INFOS'//coupling_char//'/'//myid_char, &
+             OPEN ( 80, FILE='PARTICLE_INFOS'//TRIM( coupling_char )//'/'// &
+                             myid_char,                                     &
                         FORM='FORMATTED', POSITION='APPEND' )
           ENDIF
@@ -627,5 +631,5 @@
 
           IF ( myid_char == '' )  THEN
-             OPEN ( 85, FILE='PARTICLE_DATA'//coupling_char//myid_char, &
+             OPEN ( 85, FILE='PARTICLE_DATA'//TRIM(coupling_char)//myid_char, &
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ELSE
@@ -639,5 +643,6 @@
              CALL MPI_BARRIER( comm2d, ierr )
 #endif
-             OPEN ( 85, FILE='PARTICLE_DATA'//coupling_char//'/'//myid_char, &
+             OPEN ( 85, FILE='PARTICLE_DATA'//TRIM( coupling_char )//'/'// &
+                        myid_char,                                         &
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ENDIF
@@ -1066,5 +1071,6 @@
              filename = 'DATA_PRT_NETCDF' // coupling_char
           ELSE
-             filename = 'DATA_PRT_NETCDF' // coupling_char // '/' // myid_char
+             filename = 'DATA_PRT_NETCDF' // TRIM( coupling_char ) // '/' // &
+                        myid_char
           ENDIF
 !
@@ -1102,5 +1108,5 @@
                 THEN    ! needs modification in case of non-extendable sets
                    CALL local_system( 'mkdir  DATA_PRT_NETCDF' // &
-                                       coupling_char // '/' )
+                                       TRIM( coupling_char ) // '/' )
                 ENDIF
 #if defined( __parallel )
Index: /palm/trunk/SOURCE/user_interface.f90
===================================================================
--- /palm/trunk/SOURCE/user_interface.f90	(revision 104)
+++ /palm/trunk/SOURCE/user_interface.f90	(revision 105)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! +dots_num_palm in module user, +module netcdf_control in user_init
 !
 ! Former revisions:
@@ -42,5 +42,5 @@
 !------------------------------------------------------------------------------!
 
-    INTEGER ::  user_idummy
+    INTEGER ::  dots_num_palm, user_idummy
     LOGICAL ::  user_defined_namelist_found = .FALSE.
     REAL    ::  user_dummy
@@ -180,4 +180,5 @@
     USE control_parameters
     USE indices
+    USE netcdf_control
     USE pegrid
     USE user