Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 109)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 110)
@@ -1,68 +1,10 @@
 New:
 ---
-Allows runs for a coupled atmosphere-ocean LES,
-coupling frequency is controlled by new d3par-parameter dt_coupling,
-the coupling mode (atmosphere_to_ocean or ocean_to_atmosphere) for the
-respective processes is read from environment variable coupling_mode,
-which is set by the mpiexec-command,
-communication between the two models is done using the intercommunicator
-comm_inter,
-local files opened by the ocean model get the additional suffic "_O".
-Assume saturation at k=nzb_s_inner(j,i) for atmosphere coupled to ocean.
-
-A momentum flux can be set as top boundary condition using the new
-inipar parameter top_momentumflux_u|v.
-
-Non-cyclic boundary conditions can be used along all horizontal directions.
-
-Quantities w*p* and w"e can be output as vertical profiles.
-
-Initial profiles are reset to constant profiles in case that initializing_actions /= 'set_constant_profiles'. (init_rankine)
-
-Optionally calculate km and kh from initial TKE e_init.
-
-boundary_conds, check_open, check_parameters, diffusion_u, diffusion_v, flow_statistics, header, init_pegrid, init_rankine, init_3d_model, modules, palm, parin, pres, prandtl_fluxes, prognostic_equations, read_var_list, read_3d_binary, swap_timelevel, time_integration, write_var_list, write_3d_binary
-
-New:
-surface_coupler
 
 
 Changed:
 -------
-Remaining variables iran changed to iran_part (advec_particles, init_particles).
-
-In case that the presure solver is not called for every Runge-Kutta substep
-(call_psolver_at_all_substeps = .F.), it is called after the first substep
-instead of the last. In that case, random perturbations are also added to the
-velocity field after the first substep.
-
-Initialization of km,kh = 0.00001 for ocean = .T. (for ocean = .F. it remains 0.01).
-
-Allow data_output_pr= q, wq, w"q", w*q* for humidity = .T. (instead of cloud_physics = .T.).
-
-Modifications to terminate coupled runs.
-
-advec_particles, check_for_restart, check_parameters, init_particles, init_3d_model, local_stop, timestep, time_integration
 
 
 Errors:
 ------
-Bugs from code parts for non-cyclic boundary conditions are removed: loops for
-u and v are starting from index nxlu, nysv, respectively. The radiation boundary
-condition is used for every Runge-Kutta substep. Velocity phase speeds for
-the radiation boundary conditions are calculated for the first Runge-Kutta
-substep only and reused for the further substeps. New arrays c_u, c_v, and c_w
-are defined for this purpose. Several index errors are removed from the
-radiation boundary condition code parts. Upper bounds for calculating
-u_0 and v_0 (in production_e) are nxr+1 and nyn+1 because otherwise these
-values are not available in case of non-cyclic boundary conditions.
-
-+dots_num_palm in module user, +module netcdf_control in user_init (both in user_interface)
-
-Bugfix: wrong sign removed from the buoyancy production term in the case use_reference = .T. (production_e)
-
-Bugfix: Error message concerning output of particle concentration (pc) modified (check_parameters).
-
-Bugfix: Rayleigh damping for ocean fixed.
-
-advec_u_pw, advec_u_up, advec_v_pw, advec_v_up, boundary_conds, buoyancy, check_parameters, coriolis, diffusion_u, diffusion_v, header, init_pegrid, init_3d_model, modules, production_e, prognostic_equations, user_interface
Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 109)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 110)
@@ -4,5 +4,4 @@
 ! Actual revisions:
 ! -----------------
-! remaining variables iran changed to iran_part
 ! TEST: PRINT statements on unit 9 (commented out)
 !
@@ -10,4 +9,7 @@
 ! -----------------
 ! $Id$
+!
+! 106 2007-08-16 14:30:26Z raasch
+! remaining variables iran changed to iran_part
 !
 ! 95 2007-06-02 16:48:38Z raasch
Index: palm/trunk/SOURCE/advec_u_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_u_pw.f90	(revision 109)
+++ palm/trunk/SOURCE/advec_u_pw.f90	(revision 110)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! i loop is starting from nxlu (needed for non-cyclic boundary conditions)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 106 2007-08-16 14:30:26Z raasch
+! i loop is starting from nxlu (needed for non-cyclic boundary conditions)
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/advec_u_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_u_up.f90	(revision 109)
+++ palm/trunk/SOURCE/advec_u_up.f90	(revision 110)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! i loop is starting from nxlu (needed for non-cyclic boundary conditions)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 106 2007-08-16 14:30:26Z raasch
+! i loop is starting from nxlu (needed for non-cyclic boundary conditions)
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/advec_v_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_v_pw.f90	(revision 109)
+++ palm/trunk/SOURCE/advec_v_pw.f90	(revision 110)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! j loop is starting from nysv (needed for non-cyclic boundary conditions)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 106 2007-08-16 14:30:26Z raasch
+! j loop is starting from nysv (needed for non-cyclic boundary conditions)
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/advec_v_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_v_up.f90	(revision 109)
+++ palm/trunk/SOURCE/advec_v_up.f90	(revision 110)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! j loop is starting from nysv (needed for non-cyclic boundary conditions)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 106 2007-08-16 14:30:26Z raasch
+! j loop is starting from nysv (needed for non-cyclic boundary conditions)
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 109)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 110)
@@ -4,13 +4,15 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 107 2007-08-17 13:54:45Z raasch
 ! Boundary conditions for temperature adjusted for coupled runs,
 ! bugfixes for the radiation boundary conditions at the outflow: radiation
 ! conditions are used for every substep, phase speeds are calculated for the
 ! first Runge-Kutta substep only and then reused, several index values changed
-! 
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 95 2007-06-02 16:48:38Z raasch
Index: palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- palm/trunk/SOURCE/buoyancy.f90	(revision 109)
+++ palm/trunk/SOURCE/buoyancy.f90	(revision 110)
@@ -4,6 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! i loop for u-component (sloping surface) is starting from nxlu (needed for
-! non-cyclic boundary conditions)
+! 
 !
 ! Former revisions:
@@ -11,4 +10,8 @@
 ! $Id$
 !
+! 106 2007-08-16 14:30:26Z raasch
+! i loop for u-component (sloping surface) is starting from nxlu (needed for
+! non-cyclic boundary conditions)
+! 
 ! 97 2007-06-21 08:23:15Z raasch
 ! Routine reneralized to be used with temperature AND density:
Index: palm/trunk/SOURCE/check_for_restart.f90
===================================================================
--- palm/trunk/SOURCE/check_for_restart.f90	(revision 109)
+++ palm/trunk/SOURCE/check_for_restart.f90	(revision 110)
@@ -4,5 +4,4 @@
 ! Actual revisions:
 ! -----------------
-! modifications to terminate coupled runs
 ! 
 !
@@ -10,4 +9,8 @@
 ! -----------------
 ! $Id$
+!
+! 108 2007-08-24 15:10:38Z letzel
+! modifications to terminate coupled runs
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
@@ -61,8 +64,9 @@
 !-- Output that job will be terminated
     IF ( terminate_run  .AND.  myid == 0 )  THEN
-       PRINT*, '*** WARNING: run will be terminated because it is running out of job cpu', &
-                    'limit'
+       PRINT*, '*** WARNING: run will be terminated because it is running out', &
+                    ' of job cpu limit'
        PRINT*, '             remaining time:         ', remaining_time, ' s'
-       PRINT*, '             termination time needed:', termination_time_needed, ' s'
+       PRINT*, '             termination time needed:', termination_time_needed,&
+                    ' s'
     ENDIF
 
@@ -72,12 +76,11 @@
 !-- informed of another termination reason (terminate_coupled > 0) before, 
 !-- or vice versa (terminate_coupled_remote > 0).
-    IF ( terminate_run .AND. TRIM( coupling_mode ) /= 'uncoupled'  &
-         .AND. terminate_coupled == 0  &
-         .AND. terminate_coupled_remote == 0 )  THEN
+    IF ( terminate_run .AND. TRIM( coupling_mode ) /= 'uncoupled'  .AND. &
+         terminate_coupled == 0  .AND.  terminate_coupled_remote == 0 )  THEN
+
        terminate_coupled = 3
-       CALL MPI_SENDRECV( &
-            terminate_coupled,        1, MPI_INTEGER, myid,  0, &
-            terminate_coupled_remote, 1, MPI_INTEGER, myid,  0, &
-            comm_inter, status, ierr )
+       CALL MPI_SENDRECV( terminate_coupled,        1, MPI_INTEGER, myid,  0, &
+                          terminate_coupled_remote, 1, MPI_INTEGER, myid,  0, &
+                          comm_inter, status, ierr )
     ENDIF
 
@@ -101,5 +104,6 @@
 
           IF ( myid == 0 )  THEN
-             PRINT*, '*** INFORMATIVE: run will be terminated due to user settings of'
+             PRINT*, '*** INFORMATIVE: run will be terminated due to user ', &
+                                       'settings of'
              PRINT*, '                 restart_time / dt_restart'
              PRINT*, '                 new restart time is: ', time_restart, ' s'
@@ -110,6 +114,7 @@
 !--       informed of another termination reason (terminate_coupled > 0) before,
 !--       or vice versa (terminate_coupled_remote > 0).
-          IF ( coupling_mode /= 'uncoupled' .AND. terminate_coupled == 0  &
-               .AND. terminate_coupled_remote == 0)  THEN
+          IF ( coupling_mode /= 'uncoupled' .AND. terminate_coupled == 0  .AND. &
+               terminate_coupled_remote == 0)  THEN
+
              IF ( dt_restart /= 9999999.9 )  THEN
                 terminate_coupled = 4
@@ -117,8 +122,8 @@
                 terminate_coupled = 5
              ENDIF
-             CALL MPI_SENDRECV( &
-                  terminate_coupled,        1, MPI_INTEGER, myid,  0, &
-                  terminate_coupled_remote, 1, MPI_INTEGER, myid,  0, &
-                  comm_inter, status, ierr )
+             CALL MPI_SENDRECV(                                                 &
+                            terminate_coupled,        1, MPI_INTEGER, myid,  0, &
+                            terminate_coupled_remote, 1, MPI_INTEGER, myid,  0, &
+                            comm_inter, status, ierr )
           ENDIF
        ELSE
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 109)
+++ palm/trunk/SOURCE/check_open.f90	(revision 110)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Different filenames are used in case of a coupled simulation,
-! coupling_char added to all relevant filenames
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 105 2007-08-08 07:12:55Z raasch
+! Different filenames are used in case of a coupled simulation,
+! coupling_char added to all relevant filenames
 !
 ! 82 2007-04-16 15:40:52Z raasch
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 109)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 110)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 109 2007-08-28 15:26:47Z letzel
 ! Check coupling_mode and set default (obligatory) values (like boundary
 ! conditions for temperature and fluxes) in case of coupled runs.
@@ -14,8 +21,4 @@
 ! Rayleigh damping for ocean fixed.
 ! Check and, if necessary, set default value for dt_coupling
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 97 2007-06-21 08:23:15Z raasch
Index: palm/trunk/SOURCE/coriolis.f90
===================================================================
--- palm/trunk/SOURCE/coriolis.f90	(revision 109)
+++ palm/trunk/SOURCE/coriolis.f90	(revision 110)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! loops for u and v are starting from index nxlu, nysv, respectively (needed
-! for non-cyclic boundary conditions)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 106 2007-08-16 14:30:26Z raasch
+! loops for u and v are starting from index nxlu, nysv, respectively (needed
+! for non-cyclic boundary conditions)
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_u.f90	(revision 109)
+++ palm/trunk/SOURCE/diffusion_u.f90	(revision 110)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Momentumflux at top (uswst) included as boundary condition,
-! i loop is starting from nxlu (needed for non-cyclic boundary conditions)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 106 2007-08-16 14:30:26Z raasch
+! Momentumflux at top (uswst) included as boundary condition,
+! i loop is starting from nxlu (needed for non-cyclic boundary conditions)
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_v.f90	(revision 109)
+++ palm/trunk/SOURCE/diffusion_v.f90	(revision 110)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Momentumflux at top (vswst) included as boundary condition,
-! j loop is starting from nysv (needed for non-cyclic boundary conditions)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 106 2007-08-16 14:30:26Z raasch
+! Momentumflux at top (vswst) included as boundary condition,
+! j loop is starting from nysv (needed for non-cyclic boundary conditions)
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 109)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 110)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Prescribed momentum fluxes at the top surface are used,
-! profiles for w*p* and w"e are calculated
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 106 2007-08-16 14:30:26Z raasch
+! Prescribed momentum fluxes at the top surface are used,
+! profiles for w*p* and w"e are calculated
 !
 ! 97 2007-06-21 08:23:15Z raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 109)
+++ palm/trunk/SOURCE/header.f90	(revision 110)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 108 2007-08-24 15:10:38Z letzel
 ! Output of informations for coupled model runs (boundary conditions etc.)
 ! + output of momentumfluxes at the top boundary
 ! Rayleigh damping for ocean, e_init
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 97 2007-06-21 08:23:15Z raasch
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 109)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 110)
@@ -7,13 +7,16 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 108 2007-08-24 15:10:38Z letzel
 ! Flux initialization in case of coupled runs, +momentum fluxes at top boundary,
 ! +arrays for phase speed c_u, c_v, c_w, indices for u|v|w_m_l|r changed
 ! +qswst_remote in case of atmosphere model with humidity coupled to ocean
-! Rayleigh damping for ocean
-! optionally calculate km and kh from initial TKE e_init
-!
-! Former revisions:
-! -----------------
-! $Id$
+! Rayleigh damping for ocean, optionally calculate km and kh from initial
+! TKE e_init
 !
 ! 97 2007-06-21 08:23:15Z raasch
Index: palm/trunk/SOURCE/init_particles.f90
===================================================================
--- palm/trunk/SOURCE/init_particles.f90	(revision 109)
+++ palm/trunk/SOURCE/init_particles.f90	(revision 110)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! variable iran replaced by iran_part
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 106 2007-08-16 14:30:26Z raasch
+! variable iran replaced by iran_part
 !
 ! 82 2007-04-16 15:40:52Z raasch
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 109)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 110)
@@ -5,12 +5,14 @@
 ! -----------------
 ! TEST OUTPUT (TO BE REMOVED) logging mpi2 ierr values
-! Intercommunicator (comm_inter) and derived data type (type_xy) for
-! coupled model runs created, assign coupling_mode_remote
-! indices nxlu and nysv are calculated (needed for non-cyclic boundary
-! conditions)
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 108 2007-08-24 15:10:38Z letzel
+! Intercommunicator (comm_inter) and derived data type (type_xy) for
+! coupled model runs created, assign coupling_mode_remote,
+! indices nxlu and nysv are calculated (needed for non-cyclic boundary
+! conditions)
 !
 ! 82 2007-04-16 15:40:52Z raasch
@@ -894,6 +896,6 @@
 #endif
 !
-!-- At the outflow, u or v, respectively, have to be calculated for one grid
-!-- point less.
+!-- At the outflow, u or v, respectively, have to be calculated for one more
+!-- grid point.
     IF ( outflow_l )  THEN
        nxlu = nxl + 1
Index: palm/trunk/SOURCE/init_rankine.f90
===================================================================
--- palm/trunk/SOURCE/init_rankine.f90	(revision 109)
+++ palm/trunk/SOURCE/init_rankine.f90	(revision 110)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Initial profiles are reset to constant profiles
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 107 2007-08-17 13:54:45Z raasch
+! Initial profiles are reset to constant profiles
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/local_stop.f90
===================================================================
--- palm/trunk/SOURCE/local_stop.f90	(revision 109)
+++ palm/trunk/SOURCE/local_stop.f90	(revision 110)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! modifications to terminate coupled runs
+! 
 ! 
 !
@@ -10,4 +10,8 @@
 ! -----------------
 ! $Id$
+!
+! 108 2007-08-24 15:10:38Z letzel
+! modifications to terminate coupled runs
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 109)
+++ palm/trunk/SOURCE/modules.f90	(revision 110)
@@ -5,4 +5,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 108 2007-08-24 15:10:38Z letzel
 ! +comm_inter, constant_top_momentumflux, coupling_char, coupling_mode,
 ! coupling_mode_remote, c_u, c_v, c_w, dt_coupling, e_init, humidity_remote, 
@@ -10,8 +17,4 @@
 ! terminate_coupled_remote, time_coupling, top_momentumflux_u|v, type_xy, 
 ! uswst*, vswst*
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 97 2007-06-21 08:23:15Z raasch
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 109)
+++ palm/trunk/SOURCE/palm.f90	(revision 110)
@@ -4,10 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Get coupling mode from environment variable
-! Change localtion of debug output
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 108 2007-08-24 15:10:38Z letzel
+! Get coupling mode from environment variable, change location of debug output
 !
 ! 75 2007-03-22 09:54:05Z raasch
@@ -64,5 +66,5 @@
     INTEGER           ::  i, run_description_header_i(80)
 
-    version = 'PALM 3.3a'
+    version = 'PALM 3.4'
 
 #if defined( __parallel )
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 109)
+++ palm/trunk/SOURCE/parin.f90	(revision 110)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +e_init, top_momentumflux_u|v in inipar, +dt_coupling in d3par
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 108 2007-08-24 15:10:38Z letzel
+! +e_init, top_momentumflux_u|v in inipar, +dt_coupling in d3par
 !
 ! 95 2007-06-02 16:48:38Z raasch
Index: palm/trunk/SOURCE/prandtl_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 109)
+++ palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 110)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! assume saturation at k=nzb_s_inner(j,i) for atmosphere coupled to ocean
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 108 2007-08-24 15:10:38Z letzel
+! assume saturation at k=nzb_s_inner(j,i) for atmosphere coupled to ocean
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 109)
+++ palm/trunk/SOURCE/pres.f90	(revision 110)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Volume flow conservation added for the remaining three outflow boundaries
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 106 2007-08-16 14:30:26Z raasch
+! Volume flow conservation added for the remaining three outflow boundaries
 !
 ! 85 2007-05-11 09:35:14Z raasch
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 109)
+++ palm/trunk/SOURCE/production_e.f90	(revision 110)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 108 2007-08-24 15:10:38Z letzel
 ! Bugfix: wrong sign removed from the buoyancy production term in the case
 ! use_reference = .T.,
@@ -9,8 +16,4 @@
 ! not available in case of non-cyclic boundary conditions)
 ! Bugfix for ocean density flux at bottom
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 97 2007-06-21 08:23:15Z raasch
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 109)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 110)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 106 2007-08-16 14:30:26Z raasch
 ! +uswst, vswst as arguments in calls of diffusion_u|v,
 ! loops for u and v are starting from index nxlu, nysv, respectively (needed
 ! for non-cyclic boundary conditions)
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 97 2007-06-21 08:23:15Z raasch
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 109)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 110)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +uswst, uswst_m, vswst, vswst_m
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 102 2007-07-27 09:09:17Z raasch
+! +uswst, uswst_m, vswst, vswst_m
 !
 ! 96 2007-06-04 08:07:41Z raasch
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 109)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 110)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +time_coupling, top_momentumflux_u|v
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 102 2007-07-27 09:09:17Z raasch
+! +time_coupling, top_momentumflux_u|v
 !
 ! 95 2007-06-02 16:48:38Z raasch
Index: palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- palm/trunk/SOURCE/surface_coupler.f90	(revision 109)
+++ palm/trunk/SOURCE/surface_coupler.f90	(revision 110)
@@ -4,6 +4,4 @@
 ! Actual revisions:
 ! -----------------
-! include latent heatflux and salinity flux for atmosphere runs with moisture
-! modifications to terminate coupled runs
 ! 
 !
@@ -12,4 +10,5 @@
 ! $Id$
 !
+! 109 2007-08-28 15:26:47Z letzel
 ! Initial revision
 !
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 109)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 110)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! swaping of uswst, vswst included
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 102 2007-07-27 09:09:17Z raasch
+! swaping of uswst, vswst included
 !
 ! 95 2007-06-02 16:48:38Z raasch
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 109)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 110)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 108 2007-08-24 15:10:38Z letzel
 ! Call of new routine surface_coupler,
 ! presure solver is called after the first Runge-Kutta substep instead of the
@@ -9,10 +16,4 @@
 ! random perturbation has to be added to the velocity fields also after the
 ! first substep
-! modifications to terminate coupled runs
-! 
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 97 2007-06-21 08:23:15Z raasch
Index: palm/trunk/SOURCE/timestep.f90
===================================================================
--- palm/trunk/SOURCE/timestep.f90	(revision 109)
+++ palm/trunk/SOURCE/timestep.f90	(revision 110)
@@ -4,5 +4,4 @@
 ! Actual revisions:
 ! -----------------
-! modifications to terminate coupled runs
 ! 
 !
@@ -10,4 +9,8 @@
 ! -----------------
 ! $Id$
+!
+! 108 2007-08-24 15:10:38Z letzel
+! modifications to terminate coupled runs
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/user_interface.f90
===================================================================
--- palm/trunk/SOURCE/user_interface.f90	(revision 109)
+++ palm/trunk/SOURCE/user_interface.f90	(revision 110)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +dots_num_palm in module user, +module netcdf_control in user_init
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 105 2007-08-08 07:12:55Z raasch
+! +dots_num_palm in module user, +module netcdf_control in user_init
 !
 ! 95 2007-06-02 16:48:38Z raasch
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 109)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 110)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +uswst, uswst_m, vswst, vswst_m
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 102 2007-07-27 09:09:17Z raasch
+! +uswst, uswst_m, vswst, vswst_m
 !
 ! 96 2007-06-04 08:07:41Z raasch
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 109)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 110)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +top_momentumflux_u|v, time_coupling
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 102 2007-07-27 09:09:17Z raasch
+! +top_momentumflux_u|v, time_coupling
 !
 ! 95 2007-06-02 16:48:38Z raasch